#NONAMEFORCOMMIT
%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%define		original_name	chardet

Distribution:	CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		python%{PVER}-%{original_name}
Version:	1.0.1
Release:	3
Summary:	Character encoding auto-detection in Python.
Group:		Development/Libraries
License:	GNU/LGPL V2
URL:		http://www.reportlab.org/
Source0:	%{original_name}-%{version}.tgz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}
BuildArch:	noarch
Requires:	python%{PVER}
BuildRequires:	python%{PVER}-devel
BuildRequires:	python%{PVER}-setuptools

Provides:	python-chardet = %{version}-%{release}
Obsoletes:	python-chardet <= %{version}-%{release}
Obsoletes:	python25-chardet

%description
Character encoding auto-detection in Python.

%prep
%setup -q -n %{original_name}-%{version}

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%{python_sitelib}/*.egg-info

%clean
rm -Rf $RPM_BUILD_ROOT
rm -Rf $RPM_BUILD_DIR/%{original_name}*

%files
%defattr(-,root,root,-)
%doc docs/*
%{python_sitelib}

%changelog
* Thu Oct 29 2009 Christian Wasem <wasem@ccux-linux.de> 1.0.1-3
- rebuild against python26-2.6.3-1
* Thu Oct 22 2009 Christian Wasem <wasem@ccux-linux.de> 1.0.1-2
- rebuild against python25-2.5.4-3
* Wed Apr 16 2008 Christian Wasem <wasem@cccux-linux.de> 1.0.1-1
- Initial release
